Subject: Re: Feature request: rebase -i inside of rebase -i

From: George Spelvin <[email-masked]>
Date: Fri, 20 Mar 2020 23:35:28 +0000

On Fri, Mar 20, 2020 at 03:51:20PM -0700, Junio C Hamano wrote:
> I thought that "git rebase -i" allows the todo file (i.e. list of
> steps still to be performed) to be edited before continuing; would
> your use case be supported by using that?

Mostly, if I do it very carefully, which is why I thought it would
be easy to add.

I think I could manually add the commits to the start of the todo file,
reset --hard to the old state, and rebase --continue.

But cutting and pasting commit IDs from git log into the todo file,
and putting fixup commits in the right place is annoyingly fiddly.
That's exactly the sort of thing computers are good at.